"""This module holds models for ``api`` test app."""

from django.db import models

from mtp.apps.sync.models import Syncable


class SyncableModel(Syncable):
    """Model which inherit of ``Syncable``."""

    text = models.CharField(max_length=250, blank=True)


class NonSyncableModel(models.Model):
    """Model which don't inherit of ``Syncable``."""

    text = models.CharField(max_length=250, blank=True)


class LiveModel(models.Model):
    """Model with a "session_id" field"""

    session_id = models.SmallIntegerField(null=True, blank=True)
